Subject: Re: bug#4497: 23.1; vc-print-log -vs- very long log files

From: Dan Nicolaescu <[email-masked]>
Date: Wed, 18 Nov 2009 11:56:09 -0800 (PST)

Tom Tromey <[email-masked]> writes:

  > Please write in English if possible, because the Emacs maintainers
  > usually do not have translators to read other languages for them.
  > 
  > Your bug report will be posted to the [email-masked] mailing list,
  > and to the gnu.emacs.bug news group.
  > 
  > Please describe exactly what actions triggered the bug
  > and the precise symptoms of the bug:
  > 
  > 
  > I invoked vc-print-log from vc-dir on the emacs git repository.
  > This generates an extremely large amount of data.
  > I couldn't find a way to interrupt the log generation; I ended up
  > killing git directly from the shell.
  > 
  > It would be nice if VC were smarter about limiting the amount of log
  > output.  I am not sure exactly how I would want this to work, but at
  > least by default I probably don't want more than a couple megabytes of
  > output.

The generic part of this is solved now, there's a limit on the number of
log entries displayed by default.

But vc-git.el does not no support this feature.
When passed a non-nil LIMIT argument `vc-git-print-log' should tell "git log" 
to limit the output.